--AH:ScriptId=85D25305-69CF-4F6A-9DF0-C6B79F0EF1A2

CREATE TABLE [RpmPackages]
(
	[RpmPackage_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[Architecture_Name] VARCHAR(50) COLLATE Latin1_General_CS_AS NOT NULL,
	[Package_Name] VARCHAR(200) COLLATE Latin1_General_CS_AS NOT NULL,
	[LatestPackageVersion_Id] INT NULL,

	CONSTRAINT [PK__RpmPackages]
		PRIMARY KEY ([RpmPackage_Id]),

	CONSTRAINT [FK__RpmPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [UQ__RpmPackages]
		UNIQUE ([Feed_Id], [Architecture_Name], [Package_Name])
)
GO

CREATE TABLE [RpmPackageVersions]
(
	[RpmPackageVersion_Id] INT IDENTITY(1, 1) NOT NULL,
	[RpmPackage_Id] INT NOT NULL,
	[UniqueVersion_Text] VARCHAR(200) COLLATE Latin1_General_CS_AS NOT NULL,
	[FullVersion_Text] VARCHAR(200),
	[Summary_Text] VARCHAR(MAX) NULL,
	[Download_Count] INT NOT NULL,
	[LastDownloaded_Date] DATETIME NULL,
	[Package_Size] BIGINT NOT NULL,
	[Published_Date] DATETIME NOT NULL,
	[SHA1_Bytes] BINARY(20) NOT NULL,
	[SHA256_Bytes] BINARY(32) NOT NULL,
	[Metadata_Bytes] VARBINARY(MAX) NOT NULL,
	[Local_FileName_Text] VARCHAR(200) NOT NULL,

	CONSTRAINT [PK__RpmPackageVersions]
		PRIMARY KEY ([RpmPackageVersion_Id]),

	CONSTRAINT [FK__RpmPackageVersions__RpmPackages]
		FOREIGN KEY ([RpmPackage_Id])
		REFERENCES [RpmPackages] ([RpmPackage_Id])
		ON DELETE CASCADE,

	CONSTRAINT [UQ__RpmPackageVersions]
		UNIQUE ([RpmPackage_Id], [UniqueVersion_Text])
)
