IF OBJECT_ID('[RpmPackages_FileNames]') IS NOT NULL DROP VIEW [RpmPackages_FileNames]
GO

CREATE VIEW [dbo].[RpmPackages_FileNames]
WITH SCHEMABINDING
AS

SELECT RP.[Feed_Id],
       RPV.[Local_FileName_Text],
	   RP.[RpmPackage_Id],
	   RPV.[RpmPackageVersion_Id]
  FROM [dbo].[RpmPackages] RP
       INNER JOIN [dbo].[RpmPackageVersions] RPV
	           ON RPV.[RpmPackageVersion_Id] = RP.[LatestPackageVersion_Id]
GO

CREATE UNIQUE CLUSTERED INDEX [IX__RpmPackages_FileNames]
	ON [RpmPackages_FileNames] ([Feed_Id], [Local_FileName_Text])
