EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetTags',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerRepositoryTags_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Docker image tags for the specified repository.'
GO

IF OBJECT_ID('[DockerImages_GetTags]') IS NOT NULL DROP PROCEDURE [DockerImages_GetTags]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetTags]
(
	@Feed_Id INT = NULL,
	@Repository_Name VARCHAR(255) = NULL,
    @PublishedBefore_Date DATETIME = NULL,	
	@DockerImageTags_Count INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

    IF @DockerImageTags_Count IS NOT NULL
        SET ROWCOUNT @DockerImageTags_Count

	SELECT *
	  FROM [DockerRepositoryTags_Extended]
	 WHERE (@Feed_Id IS NULL OR [Feed_Id] = @Feed_Id)
	   AND ([Repository_Name] = @Repository_Name OR @Repository_Name IS NULL)
       AND (@PublishedBefore_Date IS NULL OR [Published_Date] < @PublishedBefore_Date)

END
GO

GRANT EXECUTE ON [DockerImages_GetTags] TO [ProGetUser_Role]
GO