EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_SetTag',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Creates or updates a tag.'
GO

IF OBJECT_ID('[DockerImages_SetTag]') IS NOT NULL DROP PROCEDURE [DockerImages_SetTag]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_SetTag]
(
    -- should be DockerImages_CreateTag, and take @DockerImage_Id and @Tag_Name Only; to "set" a tag, we can delete/create from front-end
	@Feed_Id INT,
	@Repository_Name VARCHAR(255),
	@Tag_Name VARCHAR(128),
	@Image_Digest VARCHAR(128)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	
	-- HACK he should have different parameters and delete by ImageId
	DECLARE @DockerImage_Id INT, @DockerRepository_Id INT
	SELECT @DockerImage_Id = [DockerImage_Id] ,
	       @DockerRepository_Id = [DockerRepository_Id]
	  FROM [DockerImages_Extended]
     WHERE [Feed_Id] = @Feed_Id
       AND [Repository_Name] = @Repository_Name
	   AND [Image_Digest] = @Image_Digest


		INSERT INTO [DockerRepositoryTags]
		(
			[DockerRepository_Id],
			[Tag_Name],
			[DockerImage_Id]	
		)
		VALUES
		(
			@DockerRepository_Id,
			@Tag_Name,
			@DockerImage_Id
		)
		
		-- EXEC [Events_RaiseEvent] 'PKGADD', @Feed_Id, 'Package_Name', @Repository_Name, 'Package_Version', @Tag_Name

		COMMIT

END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [DockerImages_SetTag] TO [ProGetUser_Role]
GO