EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageUsage_GetUsage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PackageUsage',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets usage information for the specified package.'
GO

IF OBJECT_ID('[PackageUsage_GetUsage]') IS NOT NULL DROP PROCEDURE [PackageUsage_GetUsage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageUsage_GetUsage]
(
	@Feed_Id INT,
	@Package_Name VARCHAR(200),
	@Package_Version VARCHAR(200),
	@Package_Group_Id NVARCHAR(255) NULL
)
AS
BEGIN

	SET NOCOUNT ON

	DECLARE @PackageType_Name VARCHAR(20)
	    SET @PackageType_Name = (SELECT [FeedType_Name] FROM [Feeds] WHERE [Feed_Id] = @Feed_Id)

	SELECT PU.*
	  FROM [PackageUsage] PU
	       LEFT  JOIN [FeedPackageContainerScanners] FPCS
		           ON FPCS.[PackageContainerScanner_Id] = PU.[PackageContainerScanner_Id]
	 WHERE PU.[PackageType_Name] = @PackageType_Name
	   AND PU.[Package_Name] = @Package_Name
	   AND PU.[Package_Version] = @Package_Version
	   AND ((@Package_Group_Id IS NULL) OR (PU.[Package_Group_Id] = @Package_Group_Id))
	   AND (PU.PackageContainerScanner_Id IS NULL OR FPCS.[Feed_Id] = @Feed_Id)

END
GO

GRANT EXECUTE ON [PackageUsage_GetUsage] TO [ProGetUser_Role]
GO